import { Component, OnInit,Input } from '@angular/core';
import { OAuthService} from 'angular-oauth2-oidc'
import { IUser } from '../../models/user';

@Component({
  selector: 'fm-user-menu',
  templateUrl: './user-menu.component.html',
  styleUrls: ['./user-menu.component.scss']
})
export class UserMenuComponent implements OnInit {

  @Input() user:IUser;
  public showMenu:boolean = false

  constructor(private oauthService:OAuthService) { }

  ngOnInit(): void {
  }

  getLetter():string {
      return this.user.name ? this.user.name.substr(0,1).toUpperCase():"";
  }

  logout(event:MouseEvent) {
    event.preventDefault();
    this.oauthService.logOut();
  }

  hide(event:MouseEvent) {
    this.showMenu = false;
  }

  show(event:MouseEvent) {
    this.showMenu=true;
  }

  toggle(event:MouseEvent) {
    this.showMenu=!this.showMenu;
  }
}
